Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.analysis.misc
Class PercentageIDCalculator

    java.lang.Object
      |
      +--uk.ac.man.bioinf.analysis.misc.PercentageIDCalculator

All Implemented Interfaces:
  AlignmentListener, EventListener, SequenceListener

public class PercentageIDCalculator
extends Object
implements AlignmentListener, SequenceListener

PercentageIDCalculator.java This class performs a variance calculation on the given sequence alignment. The calculation is done by calling the calculateAlignment method, and the results got from the getVariance, and getConsensus methods. Both calculations are done by a simple Percentage ID calculation. Created: Fri Jun 16 18:38:00 2000

Version:
  $Id: PercentageIDCalculator.java,v 1.6 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`PercentageIDCalculator(SequenceAlignment alignment)`

Method Summary
`void` | `changeOccurred(AlignmentEvent event)` method signalled after a change has occured to a multiple alignment
`void` | `changeOccurred(SequenceEvent event)` Method called when a change occurs
`SequenceAlignment` | `getAlignment()`
`int` | `getCheckSum()` Returns a checksum value.
`Element[]` | `getConsensus()`
`double[]` | `getVariance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PercentageIDCalculator

    public PercentageIDCalculator(SequenceAlignment alignment)

Method Detail

### changeOccurred

    public void changeOccurred(AlignmentEvent event)

  Description copied from interface: `AlignmentListener`
  method signalled after a change has occured to a multiple alignment

  Specified by:
    `changeOccurred` in interface `AlignmentListener`
  Parameters:
    `event` - the event type

### changeOccurred

    public void changeOccurred(SequenceEvent event)

  Description copied from interface: `SequenceListener`
  Method called when a change occurs

  Specified by:
    `changeOccurred` in interface `SequenceListener`
  Parameters:
    `event` -

### getCheckSum

    public int getCheckSum()

  Returns a checksum value. If this value has changed there consensus sequence may well have changed.

  Returns:
    a value of type 'int'

### getVariance

    public double[] getVariance()

### getConsensus

    public Element[] getConsensus()

### getAlignment

    public SequenceAlignment getAlignment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD